
Figure - Bug #118510
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】106版本（602版）Monkey测试60小时后异常停止（无任何三方应用）
2023-06-05 11:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106（602版）

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118052 为同件问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v

32000000 >/sdcard/monkey.log 2>&1

【测试结果】

monkey异常停止，设备进入屏保

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-05 11:11 - CD TEST-方永红

- Severity changed from Normal to Critical

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118510

#2 - 2023-06-05 11:43 - CDTS_TEST 王成

- Parent task set to #113422

#3 - 2023-06-05 18:30 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 为同件问题

■ 我的分析

surfaceflinger报空指针了，导致系统进程挂了，堆栈信息与 #118052 有差别，但是判断都属于Layer已经释放了还在引用，根本原因相同

因此，此件与 #118052 为同件问题

--------------
06-04 09:45:23.635  8427  8427 F DEBUG   : * 

06-04 09:45:23.635  8427  8427 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys'

06-04 09:45:23.635  8427  8427 F DEBUG   : Revision: '0'

06-04 09:45:23.635  8427  8427 F DEBUG   : ABI: 'arm64'

06-04 09:45:23.635  8427  8427 F DEBUG   : Timestamp: 2023-06-04 09:45:23.464594855+0800

06-04 09:45:23.635  8427  8427 F DEBUG   : Process uptime: 0s

06-04 09:45:23.635  8427  8427 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-04 09:45:23.635  8427  8427 F DEBUG   : pid: 997, tid: 997, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-04 09:45:23.635  8427  8427 F DEBUG   : uid: 1000

06-04 09:45:23.635  8427  8427 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-04 09:45:23.635  8427  8427 F DEBUG   : Cause: null pointer dereference

06-04 09:45:23.635  8427  8427 F DEBUG   :     x0  b400007be7149760  x1  b400007b16f61a28  x2  b400007b16f50c08  x3  0000000000000018

06-04 09:45:23.635  8427  8427 F DEBUG   :     x4  0200007b16f61ac0  x5  0000000000000004  x6  0000000000000000  x7  0000007fdac109e0

06-04 09:45:23.636  8427  8427 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000000010000000  x11 0000000000000000

06-04 09:45:23.636  8427  8427 F DEBUG   :     x12 0000ffff00000eff  x13 000000005fec43c6  x14 0000000000000001  x15 0000000000000000

06-04 09:45:23.636  8427  8427 F DEBUG   :     x16 00000055d7aeccf8  x17 0000007d6b9d2dd4  x18 0000007d736a6000  x19 0000000000000003

06-04 09:45:23.636  8427  8427 F DEBUG   :     x20 b400007b16f50ca8  x21 b400007b16f61a28  x22 b400007be6f59e70  x23 0000007d723fe000

06-04 09:45:23.636  8427  8427 F DEBUG   :     x24 b400007a971d9c18  x25 b400007bf6edbbd0  x26 b400007b46edaa50  x27 b400007a971f7258

06-04 09:45:23.636  8427  8427 F DEBUG   :     x28 0000000000000000  x29 0000007fdac10530

06-04 09:45:23.636  8427  8427 F DEBUG   :     lr  00000055d765c960  sp  0000007fdac10530  pc  0000007d6b9d2de0  pst 0000000080001000

06-04 09:45:23.636  8427  8427 F DEBUG   : backtrace:

06-04 09:45:23.636  8427  8427 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #01 pc 000000000015b95c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_copy(void*, void const*, unsigned long) const+84) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #02 pc 0000000000014d30  /system/lib64/libutils.so (android::VectorImpl::editArrayImpl()+96) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #03 pc 00000000001501ac  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+648) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #04 pc 0000000000150208  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #05 pc 0000000000150208  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #06 pc 0000000000150208  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #07 pc 0000000000150208  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #08 pc 0000000000150208  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #09 pc 0000000000196928  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+10172)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #10 pc 00000000001940e4  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #11 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #12 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #13 pc 000000000016f870  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #14 pc 00000000001891d4  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #15 pc 00000000001d7248  /system/bin/surfaceflinger (main+1640) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-04 09:45:23.636  8427  8427 F DEBUG   :       #16 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:
369edc656806aeaf384cbeb8f7a347af)

--------------

■ 下一步计划

已关联到 #118052，将在 #118052分析，此票已同件关闭

#4 - 2023-06-06 09:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-06 09:52 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
